# 프로그래밍 문제 2-2: 예제 10.27(C10-04)과 중복
from __future__ import print_function
from sys import stdin

def printf(str, *args):
	print(str % args, end='')

def gcd(x, y):
	while y:
		c = x % y;
		x = y;
		y = c;
	printf("GCD ==> %5d\n" % x)

printf("두개의 정수를 입력하세요. x, y \n")
list = []
while len(list) < 2:
	list += stdin.readline().split()
x = int(list[0])
y = int(list[1])
gcd(x,y)

stdin.readline()